doctype html
head
  meta(charset='utf-8')
  title= title
  meta(name='description' content='app, web app, responsive, admin dashboard, admin, flat, flat ui, ui kit, off screen nav')
  meta(name='viewport' content='width=device-width, initial-scale=1, maximum-scale=1')
  block stylesheets 
    link(rel='stylesheet' href='https://fonts.googleapis.com/icon?family=Material+Icons')
    link(rel='stylesheet' href='/materialize-css/dist/css/materialize.css' type='text/css')
    link(rel='stylesheet' href='/font-awesome/css/font-awesome.min.css' type='text/css')
    link(rel='stylesheet' href='css/hermes.css' type='text/css')
    link(rel='stylesheet' href='css/mobile.css' type='text/css')
    link(rel='stylesheet' href='css/animate.css' type='text/css')
    link(rel='stylesheet' href='css/icon.css' type='text/css')

  block scripts
    script(src='js/jquery.min.js')
    script(src='/moment/moment.js')
    script(src='js/models/Request.js')
    script(src='/knockout/build/output/knockout-latest.js')
    script(src='/materialize-css/dist/js/materialize.min.js')
    script(src='js/page_scripts/layout.js')

//- Mixins (Reusable components)
mixin header-with-buttons(page)
  div.valign-wrapper
    div.col.s12.l5
      h4.page-header 
        if (page == 'requests')
          small New Requests
        else
          small(data-bind='text:viewTitle()')
    div.col.s7.hide-on-med-and-down
        div.right
          if page == 'requests'
              a.btn.waves-effect.waves-light.toolbar-btn.modal-trigger(href='#add-modal' data-bind='click:initializeLogRequestForm')
                  span Log new Request
                      i.material-icons.left.hide-on-med-and-down add
          a#action-dropdown-btn.btn.waves-effect.waves-light.dropdown-trigger.toolbar-btn(data-target='action-dropdown')
              span Actions
                  i.material-icons.right arrow_drop_down
          a#filter-dropdown-toggle-btn.btn.waves-effect.waves-light.toolbar-btn.sidenav-trigger(data-target='filter-sidenav-slideout')
              span Filters
                  i.material-icons.right keyboard_arrow_left

        ul#action-dropdown.dropdown-content
            if block
              block
            else
              li
                  a(data-bind='click:deleteSelectedRequests') Delete
mixin floating-action-btn(page)
  div.fixed-action-btn.hide-on-large-only
    a.btn-floating.btn-large.teal 
      i.large.material-icons mode_edit
    ul
      if block 
        block
      else
        li
          a.btn-floating.tooltipped.teal.lighten-2.sidenav-trigger(data-target='filter-sidenav-slideout' data-position='top' data-tooltip='Toggle Filter')
            i.material-icons filter_list
        li
          a.btn-floating.tooltipped.teal.lighten-2(data-bind='click:deleteSelectedRequests' data-position='top' data-tooltip='Delete Selected Requests')
            i.material-icons delete
mixin requests-table
  div.row.table-container
    table.requests-table
        thead
            tr 
                th(width='50px')
                    label
                        input.request-chkbox(type='checkbox' data-bind='attr:{id:"request-select-all-chkbox"}, checked:allSelected, click:selectAll')
                        span
                th(width='12.5%') Tracking Number
                th(width='20%') Institution Name
                th.responsive-cell(width='17.5%') Location
                th.responsive-cell Contact Person
                th.responsive-cell Contact Number
                th(width='10%').responsive-cell.center Request Type
                th(width='7.5%').responsive-cell.center Allocation 
                th(width='10%').responsive-cell.center Request Date
        tbody(data-bind='visible:filteredRequests().length == 0')
            tr  
                td(colspan=7) No data to display
        tbody#table-tbody(data-bind='foreach:filteredRequests')
            tr
                td(width='50px')
                    label
                        input.request-chkbox(type='checkbox' data-bind='attr:{id:"request_"+RequestId()}, checked:IsChecked, click:$root.rowSelect')
                        span
                td(width='12.5%')
                    a.modal-trigger(href='#request-details-modal', data-bind='text:TrackingNumber(), click:$root.getRequestDetails')
                td(width='20%' data-bind='text:Name()')
                td.responsive-cell(width='17.5%' data-bind='text:Location()')
                td.responsive-cell(data-bind='text:ContactPerson()')
                td.responsive-cell(data-bind='text:ContactNumber()')
                td.responsive-cell.center(width='10%' data-bind='text:getRequestTypeName()')
                td.responsive-cell.center(width='7.5%' data-bind='text:Allocation()')
                td.responsive-cell.center(width='10%' data-bind=`text:moment(CreatedAt()).utcOffset(960).format('MMMM D, YYYY')`)


body
  nav.grey.lighten-5(role='navigation')
    div.nav-wrapper
      ul.hide-on-large-only.left
        li
          a.button-collapse.black-text.sidenav-trigger(href='#', data-target='slide-out') 
            i.material-icons menu
      
      img#hiveqore-logo.hide-on-small-only(src='images/logo.png' width='48px' height='48px')
      a#logo-container.brand-logo.black-text.site-header.left(href='/') Project HERMeS

      ul.hide-on-med-and-down.right
        li
          a.black-text(href='/users')
            i.material-icons settings
        li.teal
          a(href='/logout') 
            i.material-icons exit_to_app
  
  div.row.content-container
    div#menu
      ul#slide-out.sidenav.fixed.grey.darken-4
        li
          a.white-text(href="/") Overview
        li.divider
        li(data-bind='visible:!isReportsAccount()')
          a.white-text(href="/requests") New Requests
        li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/approval") Approval
        li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/fulfillment") Fulfillment
        li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/dispatch") Dispatch 
        li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/delivery") Delivery 
        li.divider
        li(data-bind='visible:isSuperUser')
          a.white-text(href="/users") Manage Users
        li(data-bind='visible:!isReportsAccount()')
          a.white-text(href='/about') About Hiveqore
        li.divider
        li
          a.white-text(href='/logout') Logout

    div#filter-sidenav
      ul#filter-sidenav-slideout.sidenav.fixed.grey-darken-4
        li.filter-sidenav-container
          div.row.valign-wrapper
            div.col.s10.l11
              h5 Filters 
            div.col.s2.l1
              a.grey-text.sidenav-close
                i.material-icons close
          div.row
            div.input-field.col.s12
              input#filter-sidenav-searchbar(type='text' data-bind='value:searchBar')
              label(for='filter-sidenav-searchbar') Institution Name / Tracking Number
          div.row
            div.input-field.col.s12.l6.filter-div
              select#filter-sidenav-tag(data-bind='value:tagFilter')
                  option(value=6) All
                  option(value=0) New / Uncofirmed
                  option(value=1) Confirmed
                  option(value=2) Approved
                  option(value=3) Fulfilled
                  option(value=4) In Transit
                  option(value=5) Delivered
              label(for='filter-sidenav-tag') Tag
            div.input-field.col.s12.l6.filter-div
              select#filter-sidenav-classification(data-bind='value:typeFilter')
                  option(value='') All
                  option(value='LGU') LGU
                  option(value='RHU') RHU
                  option(value='NGO') NGO
                  option(value='Hospital') Hospital
                  option(value='Funeral Parlor') Funeral Parlor
                  option(value='Health Facility') Health Facility 
                  option(value='Government Agency') Government Agency
              label(for='filter-sidenav-classification') Classification
          div.row
            h6 Date
          div.row
            div.input-field.col.s12.filter-div
              select#filter-sidenav-dateop(data-bind='value:dateFilterOp')
                  option(value='eq') Equals
                  option(value='lt') On or Before
                  option(value='gt') On or After
                  option(value='bw') Between
              label(for='filter-sidenav-dateop') Date
            div.input-field.col.s12.l6(data-bind='visible:dateFilterOp()!="lt"')
              input#filter-sidenav-date-from-input.datepicker(type='text' data-bind='value:dateFrom')
              label(for='filter-sidenav-date-from-input') Date From
            div.input-field.col.s12.l6(data-bind=`visible:dateFilterOp()=='lt'||dateFilterOp()=='bw'`) 
              input#filter-sidenav-date-to-input.datepicker(type='text' data-bind='value:dateTo')
              label(for='filter-sidenav-date-to-input') Date To
          div.row
            h6 Location
          div.row
            div.input-field.col.s12.filter-div.region-select-wrapper
              select#filter-sidenav-region-select(name='filter-region-select' 
                  data-bind=`options:regions, 
                          optionsText:'name', 
                          optionsValue:'id', 
                          value:region, 
                          optionsAfterRender:function(opt, item) {
                              setTimeout(() => {
                                  $(opt.parentElement).formSelect()
                              }, 100)
                          }`
                  )
              label(for='filter-sidenav-region-select') Region
            div.input-field.col.s12.filter-div.province-select-wrapper
              select#filter-sidenav-province-select(name='filter-province-select' 
                  data-bind=`options:filteredProvinces, 
                          optionsText:'name', 
                          optionsValue:'id', 
                          value:province, 
                          optionsAfterRender:function(opt, item) {
                              setTimeout(() => {
                                  $(opt.parentElement).formSelect()
                              }, 100)
                          }`
                  )
              label(for='filter-sidenav-province-select') Province
            div.input-field.col.s12.city-select-wrapper
              select#filter-sidenav-city-select(name='filter-city-select' 
                  data-bind=`options:filteredCities, 
                          optionsText:'name', 
                          optionsValue:'id', 
                          value:city, 
                          optionsAfterRender:function(opt, item) {
                              setTimeout(() => {
                                  $(opt.parentElement).formSelect()
                              }, 100)
                          }`
                  )
              label(for='filter-sidenav-city-select') City
          div.row
            div.input-field.col.s6.center
              a.btn.btn-large.waves-effect.waves-light.sidenav-close
                span Apply and Close
            div.input-field.col.s6.center
              a.btn.btn-large.waves-effect.waves-light(data-bind='click:clearFilterValues')
                span Clear Filters
        

    div#sidebar-container.hide-on-med-and-down.col.l2.grey.darken-4
      ul 
        li#overview-li
          a.white-text(href="/") Overview
        li.divider
        li#requests-li(data-bind='visible:!isReportsAccount()')
          a.white-text(href="/requests") New Requests
        li#approval-li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/approval") Approval
        li#fulfillment-li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/fulfillment") Fulfillment
        li#dispatch-li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/dispatch") Dispatch 
        li#delivery-li(data-bind='visible:!isCallCenter()&&!isReportsAccount()')
          a.white-text(href="/delivery") Delivery 
        li.divider
        li#users-li(data-bind='visible:isSuperUser')
          a.white-text(href="/users") Manage Users
        li#about-li(data-bind='visible:!isReportsAccount()')
          a.white-text(href='/about') About Hiveqore
        
        
    div.col.s12.m12.l10
      block content

footer.page-footer.grey.darken-4
